cascading.operation.regex

## Class RegexMatcher

- java.lang.Object
- - cascading.operation.BaseOperation<C>
  - - cascading.operation.regex.RegexOperation<Matcher>
    - - cascading.operation.regex.RegexMatcher

- All Implemented Interfaces:
    DeclaresResults, Operation<Matcher>, Traceable, Serializable
  Direct Known Subclasses:
    AssertMatches, AssertMatchesAll, RegexFilter

      public class RegexMatcher
      extends RegexOperation<Matcher>

  Class RegexMatcher is the base class for common regular expression operations.

  This operation uses `Matcher` internally, specifically the method `Matcher.find()`.
  See Also:
    `Matcher`, `Pattern`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_DELIM`
    `protected String` | `delimiter`
    `protected boolean` | `negateMatch`

    - ### Fields inherited from class cascading.operation.regex.RegexOperation

      `patternString`

    - ### Fields inherited from class cascading.operation.BaseOperation

      `fieldDeclaration, numArgs, trace`

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RegexMatcher(Fields fieldDeclaration, String patternString)`
    `protected` | `RegexMatcher(Fields fieldDeclaration, String patternString, boolean negateMatch)`
    `protected` | `RegexMatcher(Fields fieldDeclaration, String patternString, boolean negateMatch, String delimiter)`
    `protected` | `RegexMatcher(Fields fieldDeclaration, String patternString, String delimiter)`
    `protected` | `RegexMatcher(String patternString)`
    `protected` | `RegexMatcher(String patternString, boolean negateMatch)`
    `protected` | `RegexMatcher(String patternString, boolean negateMatch, String delimiter)`
    `protected` | `RegexMatcher(String patternString, String delimiter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object object)`
    `String` | `getDelimiter()`
    `int` | `hashCode()`
    `boolean` | `isNegateMatch()`
    `protected boolean` | `matchEachElement(Matcher matcher, TupleEntry input)`
    `protected int` | `matchEachElementPos(Matcher matcher, TupleEntry input)`
    `protected boolean` | `matchWholeTuple(Matcher matcher, TupleEntry input)`
    `void` | `prepare(FlowProcess flowProcess, OperationCall<Matcher> operationCall)` Method prepare does nothing, and may safely be overridden.

    - ### Methods inherited from class cascading.operation.regex.RegexOperation

      `getPattern, getPatternString`

    - ### Methods inherited from class cascading.operation.BaseOperation

      `cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_DELIM

          public static final String DEFAULT_DELIM

      See Also:
        Constant Field Values

    - #### negateMatch

          protected final boolean negateMatch

    - #### delimiter

          protected final String delimiter

  - ### Constructor Detail

    - #### RegexMatcher

          @ConstructorProperties(value="patternString")
          protected RegexMatcher(String patternString)

    - #### RegexMatcher

          @ConstructorProperties(value={"patternString","delimiter"})
          protected RegexMatcher(String patternString,
                                                 String delimiter)

    - #### RegexMatcher

          @ConstructorProperties(value={"patternString","negateMatch"})
          protected RegexMatcher(String patternString,
                                                 boolean negateMatch)

    - #### RegexMatcher

          @ConstructorProperties(value={"patternString","negateMatch","delimiter"})
          protected RegexMatcher(String patternString,
                                                 boolean negateMatch,
                                                 String delimiter)

    - #### RegexMatcher

          @ConstructorProperties(value={"fieldDeclaration","patternString"})
          protected RegexMatcher(Fields fieldDeclaration,
                                                 String patternString)

    - #### RegexMatcher

          @ConstructorProperties(value={"fieldDeclaration","patternString","delimiter"})
          protected RegexMatcher(Fields fieldDeclaration,
                                                 String patternString,
                                                 String delimiter)

    - #### RegexMatcher

          @ConstructorProperties(value={"fieldDeclaration","patternString","negateMatch"})
          protected RegexMatcher(Fields fieldDeclaration,
                                                 String patternString,
                                                 boolean negateMatch)

    - #### RegexMatcher

          @ConstructorProperties(value={"fieldDeclaration","patternString","negateMatch","delimiter"})
          protected RegexMatcher(Fields fieldDeclaration,
                                                 String patternString,
                                                 boolean negateMatch,
                                                 String delimiter)

  - ### Method Detail

    - #### isNegateMatch

          public final boolean isNegateMatch()

    - #### getDelimiter

          public final String getDelimiter()

    - #### prepare

          public void prepare(FlowProcess flowProcess,
                     OperationCall<Matcher> operationCall)

      Description copied from class: `BaseOperation`
      Method prepare does nothing, and may safely be overridden.
      Specified by:
        `prepare` in interface `Operation<Matcher>`
      Overrides:
        `prepare` in class `BaseOperation<Matcher>`

    - #### matchWholeTuple

          protected boolean matchWholeTuple(Matcher matcher,
                                TupleEntry input)

    - #### matchEachElement

          protected boolean matchEachElement(Matcher matcher,
                                 TupleEntry input)

    - #### matchEachElementPos

          protected int matchEachElementPos(Matcher matcher,
                                TupleEntry input)

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `RegexOperation<Matcher>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `RegexOperation<Matcher>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.